NSIS Eclipse plugin not working with Juno

Help
2012-08-09
2014-01-22
  • David Robison
    David Robison
    2012-08-09

    The NSIS Eclipse plugin does not seem to be working with Eclipse Juno. Any thoughts on what the problem might be?
    Thanks, David

     

  • Anonymous
    2012-10-02

    Here is the error I get using the Eclipse NSIS plugin

    Errors occurred during the build.
    Error instantiating builder 'net.sf.eclipsensis.installoptions.InstallOptionsBuilder'.
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Error instantiating builder 'net.sf.eclipsensis.installoptions.InstallOptionsBuilder'.
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Error instantiating builder 'net.sf.eclipsensis.installoptions.InstallOptionsBuilder'.
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Error instantiating builder 'net.sf.eclipsensis.installoptions.InstallOptionsBuilder'.
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Error instantiating builder 'net.sf.eclipsensis.installoptions.InstallOptionsBuilder'.
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Error instantiating builder 'net.sf.eclipsensis.installoptions.InstallOptionsBuilder'.
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Error instantiating builder 'net.sf.eclipsensis.installoptions.InstallOptionsBuilder'.
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Error instantiating builder 'net.sf.eclipsensis.installoptions.InstallOptionsBuilder'.
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Error instantiating builder 'net.sf.eclipsensis.installoptions.InstallOptionsBuilder'.
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Error instantiating builder 'net.sf.eclipsensis.installoptions.InstallOptionsBuilder'.
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Error instantiating builder 'net.sf.eclipsensis.installoptions.InstallOptionsBuilder'.
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    Plug-in net.sf.eclipsensis.installoptions was unable to load class net.sf.eclipsensis.installoptions.builder.InstallOptionsBuilder.
    An error occurred while automatically activating bundle net.sf.eclipsensis.installoptions (71).
    
     
  • Steve Romanow
    Steve Romanow
    2013-01-01

    It is working on my win7_64 with Juno.  Which install method did you use for EclipseNSIS?

     
  • Gowtham
    Gowtham
    2013-07-11

    I'm using EclipseNsis in Eclipse Juno Kepler[Windows 32 Bit]. I'm not able to complete my Scripting wizard. It displaying unknown Message in Error Dialog. kindly give solution as soon as possible.

    Reply to me : usgowtham8@gmail.com, gowtham@abksoftware.in

     
    Last edit: Gowtham 2013-07-11
  • The eclipse plugin does not work because it needs the lucene 2x version.
    Juno uses version 3x Kepler, instead using the 4x version.
    I've recompiled the source lucene 2.9.4 creating a plugin net.sf.eclipsensis.lucene_1.0.0.201307250942.jar and I recompiled net.sf.eclipsensis_0.9.8.1.jar.
    As for the plugin net.sf.eclipsensis.installoptions_0.9.8.1.jar the problem was with the definition, wrong in java 7, of Maps <?,?> I correct in Maps String String>.
    The two jar described and the lucene library are added in the attached zip file.
    replaced the three jar files in the plugins directory of juno or kepler and everything works.
    Waiting for developers eclipsensis you decide to make changes.

     
  • Kevin Day
    Kevin Day
    2014-01-22

    Post awaiting moderation.